<ion-app class="main-bg-container">
  <ion-menu menuId="main" side="start" type="overlay" contentId="main-content">
    <ion-header>
      <ion-toolbar translucent>
        <ion-title>Verwaltung</ion-title>
      </ion-toolbar>
    </ion-header>
    <ion-content color="transparent">
      <ion-list>
        <ion-menu-toggle auto-hide="false" menu="main">
        <ion-item class="clickable" routerDirection="root" (click)="menurouting('login')">
          <ion-icon name="cog-outline" slot="start"></ion-icon>
          <!-- <ion-router-link color="dark" href="/login">Login</ion-router-link> -->
          <!-- <a [routerLink]="['/login']">Login</a> -->
          Login
        </ion-item>
      </ion-menu-toggle>
      </ion-list>
    </ion-content>
  </ion-menu>

  <div class="ion-page" id="main-content">
    <ion-header>
      <ion-toolbar color="transparent">
        <ion-buttons slot="start">
          <ion-menu-button (click)="menuopen()" autoHide="false"></ion-menu-button>
        </ion-buttons>
        <ion-col color="transparent" slot="end">
          <ion-text *ngIf="ferryInOperation" color="primary" class="bolded-text" [textContent]="operationText" >

          </ion-text>
          <ion-text *ngIf="!ferryInOperation" color="danger" class="bolded-text" [textContent]="operationText">

          </ion-text>
        </ion-col>
      </ion-toolbar>
    </ion-header>
    <ion-content class="ion-padding">
      <ion-refresher slot="fixed" (ionRefresh)="pageRefresh($event)">
        <ion-refresher-content></ion-refresher-content>
      </ion-refresher>
      <!-- Fade Header with collapse header -->
      <ion-grid>
        <ion-row>
          <ion-col>
            <ion-text class="ferry-name" size="large">Weserfähre</ion-text>
            <ion-text class="ferry-name" size="large">Varenholz-Veltheim II</ion-text>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col class="ion-cols">
            <ion-text class="temp" size="large" [textContent]="currentTemp">C°</ion-text>
          </ion-col>
          <ion-col class="ion-cols">
            <img src="http://openweathermap.org/img/w/{{weatherIcon}}.png" alt="Site Logo" class="weathericon">
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col>
            <ion-text class="weather-name" size="large" [textContent]="weatherType"></ion-text>
          </ion-col>
        </ion-row>
        <!-- <ion-row>
          <ion-col>
            <ion-text class="high-and-low" size="large" [textContent]="highAndLowTemp"></ion-text>
          </ion-col>
        </ion-row> -->
        <ion-row class="tiles top-row">
          <ion-col class="tile-container">
            <div class="blue-tile">
              <div class="tile-icon">
                <ion-icon name="compass-sharp"></ion-icon> <span>Wind</span>
                <div class="img-container">
                  <ion-img src="/assets/compass_icon_blue.png"></ion-img>
                  <div class="main-arrow" [style.transform]="windDirection">
                    <div class="arrow-down"></div>
                    <div class="arrow-up"></div>
                  </div>
                </div>
                <div class="text-container">
                  <div class="speed meters"><span [textContent]="windSpeed"></span><span> km/h</span></div>
                  <div class="speed"><span [textContent]="windKnots"></span><span> kn</span></div>
                </div>
              </div>
            </div>
          </ion-col>
          <ion-col class="tile-container">
            <div class="blue-tile">
              <div class="tile-icon">
                <ion-icon name="boat"></ion-icon> <span>Pegelstand</span>
              </div>
              <div class="big-icon">
                <ion-icon color="#3d6db5" name="boat-outline"></ion-icon>
              </div>
              <div class="pegal-footer" [textContent]="pegelLevel">
              </div>
            </div>
          </ion-col>
        </ion-row>
        <ion-row class="tiles">
          <ion-col class="tile-container">
            <div class="blue-tile">
              <div class="tile-icon">
                <ion-icon name="calendar"></ion-icon> <span>Fahrinformation</span>
              </div>
              <div class="tile-body" *ngIf="ferryInOperation || (!ferryInOperation && isOperatingDay)">
                <p></p>
                <p class="tile-header">Fährzeiten heute</p>
                <div class="tile-header" [textContent]="startTime + ' ' + endTime"></div>
                <div class="tile-subhead"></div>
                <!-- <div class="tile-header" [textContent]="endTime"></div> -->
              </div>
              <div class="tile-body" *ngIf="!ferryInOperation && !isOperatingDay">
                Außerhalb der Betriebszeiten.
              </div>
            </div>
          </ion-col>
        </ion-row>
        <ion-row class="tiles">
          <ion-col class="tile-container">
            <!-- <div [class.not-in-service]="!ferryInOperation"  class="blue-tile"> -->
            <div class="blue-tile">
              <div class="tile-icon">
                <ion-icon name="chatbubbles"></ion-icon> <span>Kommentar</span>
              </div>
              <div class="tile-body" [textContent]="commentText">
              </div>
            </div>
          </ion-col>
        </ion-row>
        <ion-row class="tiles">
          <ion-col class="tile-container">
            <ion-text>
              <h2>Fahrplan für die nächsten Betriebstage</h2>
            </ion-text>
          </ion-col>
        </ion-row>
        <ion-row class="tiles" *ngFor="let day of nextDays; let i = index">
          <ion-col class="tile-container">
            <div class="blue-tile">
              <div class="tile-icon">
                <ion-icon name="calendar-clear-outline"></ion-icon>
                {{ day.start | date:'EEEE':'de'}} {{ day.start | date:'dd.MM.yyyy'}}
              </div>
              <div class="tile-icon">
                <ion-icon name="time-outline"></ion-icon> {{day.start | date: 'HH:mm'}} - {{day.end | date: 'HH:mm'}}
              </div>
              <div class="tile-icon">
                <ion-icon name="document-text-outline"></ion-icon> {{day.comment}}
              </div>
            </div>
          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-content>
  </div>
</ion-app>

